# Copyright 2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit go-module

DESCRIPTION="git-like blame for kubectl"
HOMEPAGE="https://github.com/knight42/kubectl-blame"
SRC_URI="https://github.com/knight42/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
		https://git.millerson.name/attachments/8aacc3af-bb3c-4d07-ab40-64ab7e2daab9 -> ${P}-vendor.tar.xz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"

DEPEND=""
RDEPEND="${DEPEND}"
BDEPEND=""

src_compile() {
    ego build
}

src_install() {
    dobin ${PN}
}
